JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class OaIdl.VARDESC._Union

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.Union
              com.sun.jna.platform.win32.OaIdl.VARDESC._Union

Direct Known Subclasses:
  OaIdl.VARDESC._Union.ByReference

Enclosing class:
  OaIdl.VARDESC

    public static class OaIdl.VARDESC._Union

extends Union

Nested Class Summary
`static class` `OaIdl.VARDESC._Union.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByValue`

Field Summary
`Variant.VARIANT` `lpvarValue` [case()] C type : VARIANT*
`NativeLong` `oInst`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`OaIdl.VARDESC._Union()`
`OaIdl.VARDESC._Union(NativeLong oInst)`
`OaIdl.VARDESC._Union(Variant.VARIANT lpvarValue)`

Method Summary

Methods inherited from class com.sun.jna.Union
`getFieldOrder, getNativeAlignment, getTypedValue, readField, setType, setType, setTypedValue, writeField, writeField`

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### oInst

    public NativeLong oInst

### lpvarValue

    public Variant.VARIANT lpvarValue

  [case()]
  C type : VARIANT*

Constructor Detail

### OaIdl.VARDESC._Union

    public OaIdl.VARDESC._Union()

### OaIdl.VARDESC._Union

    public OaIdl.VARDESC._Union(Variant.VARIANT lpvarValue)

Parameters:
  `lpvarValue` - [case()]
  C type : VARIANT*

### OaIdl.VARDESC._Union

    public OaIdl.VARDESC._Union(NativeLong oInst)

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.